tigase.server.script

## Class RemoveScriptCommand

- java.lang.Object
- - tigase.stats.CounterValue
  - - tigase.stats.Counter
    - - tigase.stats.StatisticHolderImpl
      - - tigase.server.script.AbstractScriptCommand
        - - tigase.server.script.RemoveScriptCommand

- All Implemented Interfaces:
    CommandIfc, StatisticHolder

      public class RemoveScriptCommand
      extends AbstractScriptCommand

  Created: Jan 2, 2009 2:30:41 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.script.AbstractScriptCommand

      `lineCommentStart`

    - ### Fields inherited from class tigase.stats.CounterValue

      `counter, level, name`

    - ### Fields inherited from interface tigase.server.script.CommandIfc

      `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT, COMPONENT_NAME, CONNECTED_NODES, CONNECTED_NODES_WITH_LOCAL, DEL_SCRIPT_CMD, DESCRIPT, EVENTBUS, GROUP, LANGUAGE, PACKET, REMOVE_FROM_DISK, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_CLASS, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_GROUP, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveScriptCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()`
    `void` | `runCommand(Iq packet, Bindings binds, Queue<Packet> results)`

    - ### Methods inherited from class tigase.server.script.AbstractScriptCommand

      `getCommandId, getDescription, getGroup, init, isAdminOnly, isEmpty, setAdminOnly`

    - ### Methods inherited from class tigase.stats.StatisticHolderImpl

      `getStatistics, setStatisticsPrefix, statisticExecutedIn`

    - ### Methods inherited from class tigase.stats.Counter

      `everyHour, everyMinute, everySecond, getPerHour, getPerMinute, getPerSecond`

    - ### Methods inherited from class tigase.stats.CounterValue

      `getLevel, getName, getValue, inc, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.stats.StatisticHolder

      `everyHour, everyMinute, everySecond, getStatistics, setStatisticsPrefix, statisticExecutedIn`

- - ### Constructor Detail

    - #### RemoveScriptCommand

          public RemoveScriptCommand()

  - ### Method Detail

    - #### runCommand

          public void runCommand(Iq packet,
                                 Bindings binds,
                                 Queue<Packet> results)

    - #### getBindings

          public Bindings getBindings()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.